/*************************************************************
Module name: InjLib.H
Notices: Copyright (c) 1995-1997 Jeffrey Richter
*************************************************************/

#ifndef INJLIB_H
#define INJLIB_H

#define LOAD_DLL 1
#define FREE_DLL 2

#ifdef INJLIB_DLL
#define INJLIB_API _declspec(dllexport)
#else
#define INJLIB_API _declspec(dllimport)
#endif

#ifdef UNICODE
#define InjectLib InjectLibW
#else
#define InjectLib InjectLibA
#endif // !UNICODE

extern "C"
{
  INJLIB_API BOOL InjectLibA (HANDLE hProcess, LPCSTR lpszLibFile, BOOL ActionFlag);
  INJLIB_API BOOL InjectLibW (HANDLE hProcess, LPCWSTR lpszLibFile, BOOL ActionFlag);
}

#endif

//////////////////////// End Of File /////////////////////////
